Skip to main content
GET
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string<uuid>

Continuation cursor from the previous response nextCursor. Omit for the first page; null nextCursor means there are no more pages.

limit
integer
default:50

Maximum number of items to return in one page. Use nextCursor from the response to fetch more items.

Required range: 1 <= x <= 100
enabled
boolean

Filter by whether the source is enabled.

includeTotal
boolean
default:false

Include totalCount for matching sources.

integrationId
string<uuid>

Filter sources belonging to this integration.

Search session source names or types.

Required string length: 1 - 1000
sessionId
string<uuid>

Find the source associated with an accessible session.

types
string[]

Filter source types, supplied as a comma-separated list.

Minimum string length: 1

Response

List session sources

items
object[]
required
nextCursor
string<uuid> | null
required
totalCount
integer
Required range: x >= 0